﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.1/TaskFactory_2017.1.3.112.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '1CB29962643B0E1B56E246380E66683509E55F71CABC1D8FA127265A273033FD'
  checksumType = 'sha256'
  checksum64 = 'MUNCMjk5NjI2NDNCMEUxQjU2RTI0NjM4MEU2NjY4MzUwOUU1NUY3MUNBQkMxRDhGQTEyNzI2NUEyNzMwMzNGRA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
